GDB (xrefs)

Classes | Typedefs | Functions
scoped_restore.h File Reference

Go to the source code of this file.

## Classes
class | scoped_restore_base
class | scoped_restore_tmpl< T >

## Typedefs
typedef const scoped_restore_base & | scoped_restore

## Functions
template<typename T >
scoped_restore_tmpl< T > | make_scoped_restore (T *var)
template<typename T , typename T2 >
scoped_restore_tmpl< T > | make_scoped_restore (T *var, T2 value)

## Typedef Documentation

## ◆ scoped_restore

typedef const scoped_restore_base& scoped_restore

Definition at line 45 of file scoped_restore.h.

## Function Documentation

## ◆ make_scoped_restore() [1/2]

template<typename T >

scoped_restore_tmpl<T> make_scoped_restore | ( | T * | var | ) |

Definition at line 105 of file scoped_restore.h.

Referenced by ada_parse(), aix_thread_resume(), aix_thread_wait(), aix_thread_xfer_partial(), bpstat_do_actions_1(), breakpoint_re_set(), bsd_uthread_fetch_registers(), bsd_uthread_store_registers(), btrace_fetch(), c_parse(), call_thread_fsm_should_stop(), captured_mi_execute_command(), check_stopped_by_watchpoint(), checkpoint_command(), compile_code_command(), compile_file_command(), compile_print_command(), cp_lookup_symbol_via_imports(), d_lookup_symbol_imports(), d_parse(), detach_breakpoints(), displaced_step_prepare_throw(), do_one_display(), dwarf2_build_psymtabs_hard(), exec_continue(), exec_reverse_continue(), exec_reverse_once(), execute_command(), execute_command_to_string(), execute_control_command(), execute_control_command_1(), execute_gdb_command(), execute_user_command(), f_parse(), fetch_inferior_event(), gdb_readline_wrapper(), go_parse(), handle_signal_stop(), handle_vfork_child_exec_or_exit(), if_command(), increment_reading_symtab(), ioscm_with_output_to_port_worker(), linux_child_follow_fork(), linux_get_siginfo_data(), m2_parse(), make_scoped_defer_target_commit_resume(), selftests::scoped_restore_tests::make_scoped_restore_global(), make_scoped_restore_show_memory_breakpoints(), make_symbol_overload_list_using(), mi_cmd_var_assign(), mi_load_progress(), mi_print_breakpoint_for_event(), new_ui_command(), parse_exp_in_context_1(), parse_spufs_run(), pascal_parse(), prepare_for_detach(), prevent_dont_repeat(), print_stack_frame_to_uiout(), print_stop_event(), procfs_do_thread_registers(), ps_xfer_memory(), dwarf_evaluate_loc_desc::push_dwarf_reg_entry_value(), python_command(), python_interactive_command(), pyuw_sniffer(), read_command_file(), readchar(), record_full_gdb_operation_disable_set(), remote_flash_done(), remote_flash_erase(), remote_flash_write(), remote_serial_write(), selftests::scoped_restore_tests::run_tests(), rw_common(), s390_analyze_prologue(), script_from_file(), setup_breakpoint_reporting(), sol_thread_resume(), sol_thread_wait(), sol_thread_xfer_partial(), source_command(), spu_fetch_inferior_registers(), spu_fetch_registers(), spu_store_inferior_registers(), spu_store_registers(), tui_register_format(), wait_sync_command_done(), while_command(), and write_memory_ptid().

## ◆ make_scoped_restore() [2/2]

template<typename T , typename T2 >

scoped_restore_tmpl<T> make_scoped_restore | ( | T * | var,
|  | T2 | value
| ) |  |

Definition at line 113 of file scoped_restore.h.